curl --request POST \
--url https://api.hubapi.com/communication-preferences/2026-03/statuses/batch/unsubscribe-all \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
"<string>"
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"subscriberIdString": "<string>",
"statuses": [
{
"channel": "EMAIL",
"source": "<string>",
"status": "NOT_SPECIFIED",
"subscriberIdString": "<string>",
"subscriptionId": 123,
"timestamp": "2023-11-07T05:31:56Z",
"businessUnitId": 123,
"legalBasis": "CONSENT_WITH_NOTICE",
"legalBasisExplanation": "<string>",
"setStatusSuccessReason": "NO_STATUS_CHANGE",
"subscriptionName": "<string>"
}
]
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Melden Sie eine Reihe von Kontakten von allen E-Mail-Abonnements ab.
curl --request POST \
--url https://api.hubapi.com/communication-preferences/2026-03/statuses/batch/unsubscribe-all \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
"<string>"
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"subscriberIdString": "<string>",
"statuses": [
{
"channel": "EMAIL",
"source": "<string>",
"status": "NOT_SPECIFIED",
"subscriberIdString": "<string>",
"subscriptionId": 123,
"timestamp": "2023-11-07T05:31:56Z",
"businessUnitId": 123,
"legalBasis": "CONSENT_WITH_NOTICE",
"legalBasisExplanation": "<string>",
"setStatusSuccessReason": "NO_STATUS_CHANGE",
"subscriptionName": "<string>"
}
]
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://developers.hubspot.de/docs/llms.txt
Use this file to discover all available pages before exploring further.
Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
Der Kommunikationskanal, über den Abonnenten abgemeldet werden. Dieser Parameter ist erforderlich und unterstützt derzeit nur „EMAIL“.
EMAIL Eine optionale Ganzzahl, die die ID des Unternehmensbereichs darstellt, für die der Vorgang ausgeführt wird.
Ein boolescher Wert, der angibt, ob detaillierte Informationen in die Antwort aufgenommen werden sollen. Der Standardwert ist „false“.
Eine Liste von Zeichenfolgen, die für die Eingaben von Batch-Vorgängen stehen.
successful operation
Der Zeitpunkt (Datum und Uhrzeit), zu dem der Opt-out-Massenvorgang abgeschlossen wurde.
Ein Array mit den Ergebnissen aus dem Opt-out-Massenvorgang von allen Kommunikationen.
Show child attributes
Der Zeitpunkt (Datum und Uhrzeit), zu dem der Opt-out-Massenvorgang begann.
Der aktuelle Status des Opt-out-Massenvorgangs: PENDING, PROCESSING, CANCELED oder COMPLETE.
CANCELED, COMPLETE, PENDING, PROCESSING Ein Array von Fehlerobjekten mit Details zu Problemen, die während des Opt-out-Massenvorgangs aufgetreten sind.
Show child attributes
Eine Sammlung von URLs, die mit zugehörigen Ressourcen oder Dokumentationen verknüpft sind.
Show child attributes
Die Gesamtanzahl der während des Opt-out-Massenvorgangs aufgetretenen Fehler.
Der Zeitpunkt (Datum und Uhrzeit), zu dem die Opt-out-Massenanfrage gestellt wurde.